当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 尝试在9.10上安装10.04中的gedit2.31
帖子发表于 : 2010-05-18 10:49 
头像

注册: 2008-08-12 14:24
帖子: 415
送出感谢: 2
接收感谢: 0 次
10.04中的gedit增加了回车符选择的功能,非常实用,但由于1004在我的IBMR51笔记本总死机,所以只能继续用910,于是尝试在910上安装新版本的gedit:

下载了http://hammurabi.acc.umu.se/pub/GNOME/sources/gedit/2.31/gedit-2.31.1.tar.gz
./configure

说intltool版本太低,apt安装
又说Enchant不存在:
checking for ENCHANT... no
configure: error: Enchant library not found or too old. Use --disable-spell to build without spell plugin.
于是
pyw@pyw-xen:~/下载/gedit-2.31.1$ ./configure --disable-spell

但出错:
checking for GEDIT... configure: error: Package requirements (
libxml-2.0 >= 2.5.0
glib-2.0 >= 2.22.0
gthread-2.0 >= 2.13.0
gio-2.0 >= 2.23.1
gtk+-2.0 >= 2.16.0
gtksourceview-2.0 >= 2.9.7
gconf-2.0 >= 1.1.11
) were not met:

Requested 'gio-2.0 >= 2.23.1' but version of GIO is 2.22.3
No package 'gtk+-2.0' found
No package 'gtksourceview-2.0' found
No package 'gconf-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GEDIT_CFLAGS
and GEDIT_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

发现我的列表中没有什么gconf-2.0,但是有
pyw@pyw-xen:~/下载/gedit-2.31.1$ apt-cache search gconf|grep gconf
compizconfig-backend-gconf - Settings library for plugins - OpenCompositing Project
gconf-defaults-service - GNOME configuration database system (system defaults service)
gconf-editor - An editor for the GConf configuration system
gconf2 - GNOME configuration database system (support tools)
gconf2-common - GNOME configuration database system (common files)
libextutils-pkgconfig-perl - simplistic perl interface to pkg-config
libgconf2-4 - GNOME configuration database system (shared libraries)
libgconf2-dev - GNOME configuration database system (development)
libgconf2.0-cil - CLI binding for GConf 2.24
libgconfmm-2.6-1c2 - C++ wrappers for GConf (shared library)
libgconfmm-2.6-dev - C++ wrappers for GConf (development files)
libgconfmm-2.6-doc - C++ wrappers for GConf (documentation)
python-gconf - Python bindings for the GConf configuration database system
guile-gnome2-gconf - Guile bindings for GConf
libgconf-bridge-dev - Bind GObject properties to GConf keys (development files)
libgconf-bridge0 - Bind GObject properties to GConf keys
libgconf2-ruby - GConf 2 bindings for the Ruby language
libgconf2-ruby1.8 - GConf 2 bindings for the Ruby language
libgconf2-ruby1.8-dbg - GConf 2 bindings for the Ruby language
libghc6-gconf-dev - A GUI library for Haskell (Gtk2Hs) -- GConf bindings
libgnome2-gconf-perl - Perl interface to the GNOME GConf library
libmcs-backend-gconf - GNOME GConf backend for libmcs
pulseaudio-module-gconf - GConf module for PulseAudio sound server
pulseaudio-module-gconf-dbg - GConf module for PulseAudio sound server debugging symbols

其中的gconf2/gconf2-common/libgconf2-4等若干个包都是已经安装状态,不知道它到底需要的是啥?卡在这里了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译